| Cantera 3.0.0

Loading...
Searching...
No Matches
Private Member Functions | List of all members
Gaussian Class Reference
Numerical Utilities » Functor Objects » Advanced Functors

A Gaussian. More...

`#include <Func1.h>`

Inheritance diagram for Gaussian:
[legend]

## Detailed Description

A Gaussian.

\[ f(t) = A e^{-[(t - t_0)/\tau]^2} \]

where

\[ \tau = \frac{fwhm}{2\sqrt{\ln 2}} \]

Parameters

  A | peak value
  t0 | offset
  fwhm | full width at half max

Deprecated:
  To be removed after Cantera 3.0; replaced by Gaussian1.

Definition at line 1151 of file Func1.h.

## Private Member Functions
| Gaussian (double A, double t0, double fwhm)
| Gaussian (const Gaussian &b)
Func1 & | duplicate () const override
| Duplicate the current function.

## Additional Inherited Members
Public Member Functions inherited from Gaussian1
| Gaussian1 (double A, double t0, double fwhm)
| Gaussian1 (const vector< double > &params)
| Constructor uses 3 parameters in the following order: \( [A, t_0, \mathrm{fwhm}] \).
| Gaussian1 (const Gaussian1 &b)
Gaussian1 & | operator= (const Gaussian1 &right)
string | type () const override
| Returns a string describing the type of the function.
double | eval (double t) const override
| Evaluate the function.
Public Member Functions inherited from Func1
| Func1 (shared_ptr< Func1 > f1, shared_ptr< Func1 > f2)
| Func1 (shared_ptr< Func1 > f1, double A)
| Func1 (const Func1 &right)
Func1 & | operator= (const Func1 &right)
virtual int | ID () const
string | typeName () const
| Returns a string with the class name of the functor.
double | operator() (double t) const
| Calls method eval to evaluate the function.
virtual Func1 & | derivative () const
| Creates a derivative to the current function.
virtual shared_ptr< Func1 > | derivative3 () const
| Creates a derivative to the current function.
bool | isIdentical (Func1 &other) const
| Routine to determine if two functions are the same.
virtual double | isProportional (TimesConstant1 &other)
virtual double | isProportional (Func1 &other)
virtual string | write (const string &arg) const
| Write LaTeX string describing function.
double | c () const
| Accessor function for the stored constant.
void | setC (double c)
| Function to set the stored constant.
Func1 & | func1 () const
| accessor function for m_f1
shared_ptr< Func1 > | func1_shared () const
| Accessor function for m_f1_shared.
Func1 & | func2 () const
| accessor function for m_f2
shared_ptr< Func1 > | func2_shared () const
| Accessor function for m_f2_shared.
virtual int | order () const
| Return the order of the function, if it makes sense.
Func1 & | func1_dup () const
Func1 & | func2_dup () const
Func1 * | parent () const
void | setParent (Func1 *p)
Protected Attributes inherited from Gaussian1
double | m_A
double | m_t0
double | m_tau
Protected Attributes inherited from Func1
double | m_c = 0.0
Func1 * | m_f1 = nullptr
Func1 * | m_f2 = nullptr
Func1 * | m_parent = nullptr
shared_ptr< Func1 > | m_f1_shared
shared_ptr< Func1 > | m_f2_shared

## Constructor & Destructor Documentation

## ◆ Gaussian() [1/2]

Gaussian | ( | double | A,
|  | double | t0,
|  | double | fwhm
| ) |  |
| private

Definition at line 571 of file Func1.cpp.

## ◆ Gaussian() [2/2]

Gaussian | ( | const Gaussian & | b | ) |
| private

Definition at line 577 of file Func1.cpp.

## Member Function Documentation

## ◆ duplicate()

Func1 & duplicate | ( |  | ) | const
| override private virtual

Duplicate the current function.

This duplicates the current function, returning a reference to the newly created function.

Deprecated:
  To be removed after Cantera 3.0. Only used by deprecated methods.

Reimplemented from Func1.

Definition at line 583 of file Func1.cpp.

The documentation for this class was generated from the following files:

- Func1.h
- Func1.cpp